.home {
  padding: 6rem 3rem;
  display: flex;
  flex-direction: column;
  max-width: 1200px;
  row-gap: 1rem;
  height: 100vh;

  &__body {
    display: grid;
    grid-template-columns: 1fr 2fr;
    column-gap: 2rem;
  }

  &__title {
    display: flex;
    flex-wrap: nowrap;
    width: fit-content;
    border-bottom: 6px solid #000;
    color: #950740;
    flex-wrap: nowrap;
  }

  &__icon {
    height: 3rem;
    margin-left: 1rem;
    transform: translateY(5px);
    color: #000;
    justify-self: end;
  }

  &__inputContainer {
    display: flex;
    width: 100%;
    column-gap: 1rem;
    align-items: center;
    margin-bottom: 1rem;
  }

  &__label {
    white-space: nowrap;
    margin-top: 0.5rem;
  }

  &__button {
    width: 15rem;
  }

  &__form {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: flex-start;
    transform: translateY(-0.5rem);
  }

  &__result {
    position: relative;
    width: 100%;
    margin-top: 3rem;
    font-size: 4rem;
    padding: 2rem;
    color: #950740;
    border-radius: 0.25rem;
    text-align: center;
    cursor: pointer;
    transition: all 0.2s ease-in-out;

    &:hover {
      transform: scale(1.1);
    }

    &_iconContainer {
      display: inline-block;
      font-size: 1rem;
      position: absolute;
      transition: all 0.2s ease-in-out;
      color: #a1a1a1;
      top: 1rem;
      right: 1rem;
      &:hover {
        transform: scale(1.1);
      }
    }

    &_icon {
      width: 1rem;
      margin-left: 0.25rem;
    }
  }
}

@media screen and (max-width: 768px) {
  .home {
    padding: 1rem;
    width: 100vw;
    row-gap: 0;
    position: relative;

    &__namesHistoryContainer {
      position: absolute;
      top: 2rem;
      right: 2rem;
    }

    &__inputContainer {
      margin-top: 3rem;
      display: flex;
      flex-direction: row;
      align-items: flex-start;
      width: 100%;
    }

    &__form {
      align-items: center;
      width: 100%;
    }

    &__result {
      font-size: 2rem;
      width: 75%;
    }

    &__body {
      grid-template-columns: 1fr;
    }
  }
}

@media screen and (max-width: 400px) {
  .home {
    &__namesHistoryContainer {
      position: static;
    }

    &__result {
      width: 100%;
    }

    &__inputContainer {
      width: 100%;
      flex-direction: column;
    }

    &__button {
      width: 100%;
    }
  }
}
